# Introduction

First off, thank you for considering contributing to Prat 3.0. It's people like you that make Prat such a great tool.

Following these guidelines helps to communicate that you respect the time of the developers managing and developing this open source project. In return, they should reciprocate that respect in addressing your issue, assessing changes, and helping you finalize your pull requests.

Prat 3.0 is an open source project and we love to receive contributions from our community — you! There are many ways to contribute, from writing tutorials or blog posts, improving the documentation, submitting bug reports and feature requests or writing code which can be incorporated into Elasticsearch itself.

Please, don't use the issue tracker for support questions. 

# Ground Rules


 Responsibilities
 * Ensure that all changes work on both classic and retail
 * Create issues for any major changes and enhancements that you wish to make. Discuss things transparently and get community feedback.
 * Don't add any classes to the codebase unless absolutely needed. 
 * Keep feature versions as small as possible, preferably one new feature per version.
 * Be welcoming to newcomers and encourage diverse new contributors from all backgrounds. 


# Your First Contribution
Unsure where to begin contributing to Atom? You can start by looking through the "Good First Issue" and "Help Wanted" issues

# Getting started

For something that is bigger than a one or two line fix:

1. Create your own fork of the code
2. Do the changes in your fork
3. If you like the change and think the project could use it: Send a pull request indicating that you have a CLA on file.

# How to report a bug

When filing an issue, make sure to answer these five questions:

1. What version of Prat are you using (go version)?
2. What operating system and processor architecture are you using?
3. What did you do?
4. What did you expect to see?
5. What did you see instead?

# How to suggest a feature or enhancement

### Explain your desired process for suggesting a feature.
If you find yourself wishing for a feature that doesn't exist in Prat, you are probably not alone. There are bound to be others out there with similar needs. Many of the features that Prat has today have been added because our users saw the need. Open an issue on our issues list on GitHub which describes the feature you would like to see, why you need it, and how it should work.

